commit:     dcbd7ce5e3b85fcf85d2cc1b33e4b290259e1a1b
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Tue May 16 15:07:22 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed May 17 09:40:42 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dcbd7ce5

x11-misc/sct: version bump.

Package-Manager: Portage-2.3.5, Repoman-2.3.1

 x11-misc/sct/Manifest       |  1 +
 x11-misc/sct/sct-0.4.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/x11-misc/sct/Manifest b/x11-misc/sct/Manifest
index 0a5d71541d2..524124068ac 100644
--- a/x11-misc/sct/Manifest
+++ b/x11-misc/sct/Manifest
@@ -1 +1,2 @@
 DIST sct-0.3.tar.gz 3679 SHA256 
e8249e18cbc35fa106bfb90e715938b180f711d0e4f917636b340382ff2cf35c SHA512 
515719e61afb7274749e28321f79adae4f7400e535e577cbada8453fe22c290aa50e5db8a5b93c7945d1759e08619ae75f3f33e9649cf31805b1c2ec82f711a1
 WHIRLPOOL 
c77fd7e252528b12670a4fbb8a9e4c474d7fcad5d678b40fdf8c28d5308ba9be0d9d127a97f468a42433d18bfb9a99dd87422a9f75e9aec2a7287d3ade17aa48
+DIST sct-0.4.tar.gz 4560 SHA256 
9b36ea3342eaad3077077176ac43105dfc8260d940fbeeb8827d5f1467faa764 SHA512 
7a556c2d26cb2389a3e38e74de992d3fac96b29c637e20d1307e0ea0985c1119a3d05f2108d338612b407f5b5f5362bd3e5582722878d7ae62c568bdc9f46e65
 WHIRLPOOL 
459d2f5fcb0304c27134c92a61ddfe8a9f29ccacdd6c3252b8d35a4dfad65e7154cbf9e874b4e6d1cdbfcf148bd7c262f0d32649eeb094cae319de9581304296

diff --git a/x11-misc/sct/sct-0.4.ebuild b/x11-misc/sct/sct-0.4.ebuild
new file mode 100644
index 00000000000..27cb847d084
--- /dev/null
+++ b/x11-misc/sct/sct-0.4.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Set color temperature of the screen"
+HOMEPAGE="https://www.umaxx.net/";
+SRC_URI="https://www.umaxx.net/dl/${P}.tar.gz";
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="x11-libs/libXrandr"
+RDEPEND="${DEPEND}"
+
+DOCS=( README )
+
+src_prepare() {
+       default
+       sed \
+               -e 's:_BSD_SOURCE:_DEFAULT_SOURCE:g' \
+               -i Makefile || die
+}
+
+src_install() {
+       dobin "${PN}"
+       doman "${PN}.1"
+       einstalldocs
+}

Reply via email to